Skip to main content
PATCH
/
deployments
/
storage
/
volumes
/
{id}
Update a volume
curl --request PATCH \
  --url https://api.together.xyz/v1/deployments/storage/volumes/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": {
    "source_prefix": "models/",
    "type": "files"
  },
  "name": "<string>",
  "type": "readOnly"
}
'
{
  "content": {
    "files": [
      {
        "last_modified": "<string>",
        "name": "<string>",
        "size": 123
      }
    ],
    "source_prefix": "models/",
    "type": "files"
  },
  "created_at": "<string>",
  "current_version": 123,
  "id": "<string>",
  "mounted_by": [
    "<string>"
  ],
  "name": "<string>",
  "object": "<string>",
  "type": "readOnly",
  "updated_at": "<string>",
  "version_history": {}
}

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Volume ID or name.

Body

application/json

Updated volume configuration

content
object

Content specifies the new content that will be preloaded to this volume

name
string

Name is the new unique identifier for the volume within the project

type
enum<string>

Type is the new volume type (currently only "readOnly" is supported)

Available options:
readOnly

Response

Volume updated successfully

content
object
created_at
string

CreatedAt is the ISO8601 timestamp when this volume was created

current_version
integer

CurrentVersion is the current version number of this volume

id
string

ID is the unique identifier for this volume

mounted_by
string[]

MountedBy is the list of deployment IDs currently mounting current volume version

name
string

Name is the name of the volume

object
string

Object is the type identifier for this response (always "volume")

type
enum<string>
Available options:
readOnly
updated_at
string

UpdatedAt is the ISO8601 timestamp when this volume was last updated

version_history
object

VersionHistory contains previous versions of this volume, keyed by version number